/*******************************************************************************
 * Copyright (c) 2013 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/

package org.platonos.pluginengine.logging;

/**
 * Allows an application using the PluginEngine to use its own logging mechanism.
 * @author Kevin Duffey (kevinmduffey@yahoo.com)
 * @author Evert
 */
public interface ILogger {
	/**
	 * Logs the appropriate message at the provided level, including the optional Throwable parameter when necessary.
	 */
	public void log (LoggerLevel level, String message, Throwable thr);
}
